#engine.AtlanSprite.py

from pygame.sprite import Sprite

class AtlanSprite(Sprite):
	"""
		A wrapper for the Pygame Sprite class.
	"""
	def __init__(self):
		"""
			Constructs a new AtlanSprite object.
		"""
		Sprite.__init__(self)
		#self.camX = 0
		#self.camY = 0
		self.id = -1
	
	def calculateCameraCoords(self, rect):
		"""
			Calculate the position of this sprite in screen coordinates.
		"""
		#self.camX = self.bounds.x - rect.x
		#self.camY = self.bounds.y - rect.y
		
	def isBoat(self):
		"""
			Return whether or not this sprite is the player's boat.
		"""
		return False
		
	def isDoubloon(self):
		"""
			Return whether or not this sprite is the gold.
		"""
		return False
		
	def isGoal(self):
		"""
			Return whether or not this sprite is the goal.
		"""
		return False
